
QGIS Application - Bug report #19676

Crash while setting style on loading raster

2018-08-23 02:10 PM - Nicholas Boyko

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:3.0.3 Regression?: Yes

Operating System: Windows 10 Professional Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27501

Description

User Feedback

QGIS crashes every time I load a style on a specific raster. The raster should be rectangular, running SW->NE, but appears as a large

bounding rectangle, whereas similar files created the same way appear as the correct shape of rectangle, so I suspect that the raster

itself is faulty, causing the crash, although a crappy raster should not bring down QGIS.

Report Details

Crash ID: 73aa49d2ddb692c383e6d1f2cd365390189da717

Stack Trace

QgsColorRampShader::shade :

QgsSingleBandPseudoColorRenderer::block :

QgsBrightnessContrastFilter::block :

QgsHueSaturationFilter::block :

QgsRasterResampleFilter::block :

QgsRasterProjector::block :

QgsRasterIterator::readNextRasterPart :

QgsRasterDrawer::draw :

QgsRasterLayer::draw :

QgsRasterLayer::previewAsImage :

QgsRasterLayerProperties::sync :

QgsRasterLayerProperties::syncToLayer :

QgsRasterLayerProperties::loadStyle_clicked :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :
QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QMenu::exec :

QDialogPrivate::operator= :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::mousePressEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.3-Girona

QGIS code revision: commit:8a899c8758

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-08-23 06:17 PM - Giovanni Manghi

- Priority changed from Normal to High

- Description updated

- Status changed from Open to Feedback

Please attach the raster and the style. With the same data and style works as expected on 2.18?

#2 - 2018-08-23 06:42 PM - Nicholas Boyko

It works for longer on 2.18, but does eventually crash if you move the view around. When loaded on its own in an empty project, QGIS makes it past setting

the style, but crashes once you start panning around. It seems that once the raster is outside of the viewing area, it starts to have trouble and crash. I don't
think I am able to share this data as it has not been delivered to client yet, but I can run more tests. QGIS sets the raster's data range to NaN to NaN on

import anyway.

Report Details

Crash ID: 021b1217b1f40c7be6bb467812fca1c5d76ae52b

Stack Trace

QgsColorRampShader::shade :

QgsSingleBandPseudoColorRenderer::block :

QgsBrightnessContrastFilter::block :

QgsHueSaturationFilter::block :

QgsRasterResampleFilter::block :

QgsRasterProjector::block :

QgsRasterIterator::readNextRasterPart :

QgsRasterDrawer::draw :

QgsRasterLayerRenderer::render :

QgsMapRendererCustomPainterJob::doRender :

QgsMapRendererCustomPainterJob::staticRender :

QgsMapRendererJob::renderingTime :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.3-Girona

QGIS code revision: commit:8a899c8758

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

#3 - 2018-08-23 08:08 PM - Giovanni Manghi

Nicholas Boyko wrote:

It works for longer on 2.18, but does eventually crash if you move the view around. When loaded on its own in an empty project, QGIS makes it past

setting the style, but crashes once you start panning around. It seems that once the raster is outside of the viewing area, it starts to have trouble and

crash. I don't think I am able to share this data as it has not been delivered to client yet, but I can run more tests. QGIS sets the raster's data range

to NaN to NaN on import anyway.

without the data (or sample of) and the style it could be hard to help/fix.

#4 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#5 - 2018-12-27 11:17 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
